Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp
Class JspFactory

    java.lang.Object
      |
      +--javax.servlet.jsp.JspFactory

public abstract class JspFactory
extends java.lang.Object

The JspFactory is an abstract class that defines a number of factory methods available to a JSP page at runtime for the purposes of creating instances of various interfaces and classes used to support the JSP implementation.

A conformant JSP Engine implementation will, during it's initialization instantiate an implementation dependent subclass of this class, and make it globally available for use by JSP implementation classes by registering the instance created with this class via the static `setDefaultFactory()` method.

The PageContext and the JspEngineInfo classes are the only implementation-dependent classes that can be created from the factory.

JspFactory objects should not be used by JSP page authors.

Constructor Summary
`JspFactory()`

Method Summary
`static JspFactory` | `getDefaultFactory()`
`abstract JspEngineInfo` | `getEngineInfo()` called to get implementation-specific information on the current JSP engine
`abstract PageContext` | `getPageContext(Servlet servlet, ServletRequest request, ServletResponse response, java.lang.String errorPageURL, boolean needsSession, int buffer, boolean autoflush)` obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.
`abstract void` | `releasePageContext(PageContext pc)` called to release a previously allocated PageContext object.
`static void` | `setDefaultFactory(JspFactory deflt)` set the default factory for this implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspFactory

    public JspFactory()

Method Detail

### setDefaultFactory

    public static void setDefaultFactory(JspFactory deflt)

  set the default factory for this implementation. It is illegal for any principal other than the JSP Engine runtime to call this method.

  Parameters:
    `default` - The default factory implementation

### getDefaultFactory

    public static JspFactory getDefaultFactory()

  Returns:
    the default factory for this implementation

### getPageContext

    public abstract PageContext getPageContext(Servlet servlet,
                                               ServletRequest request,
                                               ServletResponse response,
                                               java.lang.String errorPageURL,
                                               boolean needsSession,
                                               int buffer,
                                               boolean autoflush)

  obtains an instance of an implementation dependent javax.servlet.jsp.PageContext abstract class for the calling Servlet and currently pending request and response.

  This method is typically called early in the processing of the _jspService() method of a JSP implementation class in order to obtain a PageContext object for the request being processed.

  Invoking this method shall result in the PageContext.initialize() method being invoked. The PageContext returned is properly initialized.

  All PageContext objects obtained via this method shall be released by invoking releasePageContext().

  Parameters:
    `servlet` - the requesting servlet
    `config` - the ServletConfig for the requesting Servlet
    `request` - the current request pending on the servlet
    `response` - the current response pending on the servlet
    `errorPageURL` - the URL of the error page for the requesting JSP, or null
    `needsSession` - true if the JSP participates in a session
    `buffer` - size of buffer in bytes, PageContext.NO_BUFFER if no buffer, PageContext.DEFAULT_BUFFER if implementation default.
    `autoflush` - should the buffer autoflush to the output stream on buffer overflow, or throw an IOException?
  Returns:
    the page context
  See Also:
    `PageContext`

### releasePageContext

    public abstract void releasePageContext(PageContext pc)

  called to release a previously allocated PageContext object. Results in PageContext.release() being invoked. This method should be invoked prior to returning from the _jspService() method of a JSP implementation class.

  Parameters:
    `pc` - A PageContext previously obtained by getPageContext()

### getEngineInfo

    public abstract JspEngineInfo getEngineInfo()

  called to get implementation-specific information on the current JSP engine

  Returns:
    a JspEngineInfo object describing the current JSP engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 The Apache Software Foundation. All Rights Reserved.